Subject: Re: use xilinx gpio from linux on a ppc405

From: Joachim Meyer <[email-masked]>
Date: Thu, 17 Jul 2008 15:40:20 +0200

Hi Jens

Thanks for your fast answer.
I have some questions befor I try it out:
1. Can I proof, if my gpio is correctly connected with my design or should I try it to proof it?
2. Is the code you send c? If yes, do I need any specific libaries? Then I crosscompile it, put it on my Board and it should work?
3. In edk I saw This at the 4 LEDs:
Base Adress: 0x40000000
High Adress: 0x4000ffff
How would it be for my case? Something like this:

char *mapped_address = ioremap(0x40000000, 0xffff);
writeb(0xffff, mapped_address); 
iounmap(mapped_address);

I don't understand why the there are so many steps between the base and the high adress. 

Thanks and Greez
Joachim
_____________________________________________________________________
Der WEB.DE SmartSurfer hilft bis zu 70% Ihrer Onlinekosten zu sparen!
http://smartsurfer.web.de/?mc=100071&distributionid=000000000066